package com.heyu.api.data.dao.api;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2025-04-16
*/
import com.heyu.api.data.entity.api.ApiRechargeMoneyEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.By;
import com.lz.mybatis.plugin.annotations.LIMIT;
import com.lz.mybatis.plugin.annotations.Sub;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ApiRechargeMoneyDao extends BaseMapper<ApiRechargeMoneyEntity> {


	ApiRechargeMoneyEntity selectApiRechargeMoneyById(@Param("id")Long id);


	Long insertApiRechargeMoney(ApiRechargeMoneyEntity apiRechargeMoney);


	Long insertOrUpdateApiRechargeMoney(ApiRechargeMoneyEntity apiRechargeMoney);


	int updateApiRechargeMoneyById(ApiRechargeMoneyEntity apiRechargeMoney);


	int updateCoverApiRechargeMoneyById(ApiRechargeMoneyEntity apiRechargeMoney);


	int deleteApiRechargeMoneyById(@Param("id") Long id);


	@LIMIT
	ApiRechargeMoneyEntity selectApiRechargeMoneyByScene(String scene);

	int updateApiRechargeMoneyByScene(@Sub Integer currentCount,@By String scene);
}